import requests
from api_auth import APICredentials, APIParams
  
class VirtualLinearPlaylists:
    def __init__(self):
        self.host = "https://services.uplynk.com"

    def run(self):
        self._get_all_virtual_linear_playlists()
  
    def _get_all_virtual_linear_playlists(self):
        url = "{}{}".format(self.host, "/api/v4/linear-playlist")
 
        headers = {'Content-Type': 'application/json'}
  
        response = requests.get(
            url, params=APIParams(APICredentials()).get_params({}), headers=headers
        )
  
        print(response.json())
  
VirtualLinearPlaylists().run()